Update Cache Connection
curl --request POST \
--url https://cloud.cdata.com/api/job/cacheConnection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connectionString": "Server=<Server URL>;Port=5432;User=username;Password=password;Database=cachedb;"
}
'import requests
url = "https://cloud.cdata.com/api/job/cacheConnection"
payload = { "connectionString": "Server=<Server URL>;Port=5432;User=username;Password=password;Database=cachedb;" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connectionString: 'Server=<Server URL>;Port=5432;User=username;Password=password;Database=cachedb;'
})
};
fetch('https://cloud.cdata.com/api/job/cacheConnection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connection": {
"accountId": "fee1ce9d-c40c-4ef6-8f8c-77461315713d",
"connectionString": "server=<Server URL>;port=5432;user=username;password=password;database=cachedb",
"connectionType": 0,
"created": "2025-11-20T15:26:43.096Z",
"driver": "PostgreSQL",
"driverVersion": "24.0.9172.0",
"id": "1c9b0ae6-3a6f-417a-8460-4ce5b5528540",
"isTested": false,
"lastModified": "2025-11-20T15:52:32.8444712Z",
"name": "CacheConnection",
"walletFilePresent": false,
"isCannedConnection": false
}
}Job API
Update Cache Connection
Create/update the cache connection used by the other caching API calls.
POST
/
job
/
cacheConnection
Update Cache Connection
Authorizations
JWT token authentication. Include the token in the Authorization header as Bearer {token}. See Authentication for more information on creating a token.
Body
application/json
The connection string used to configure the user's PostgreSQL connection. The connection string contains the fields Server, Port, User, Password, and Database, separated by semicolons. Optionally, you can include BrowsableSchemas to limit the schemas.
Example:
"Server=<Server URL>;Port=5432;User=username;Password=password;Database=cachedb;"
Response
200 - application/json
OK
Was this page helpful?
⌘I